## WebKitDOMDOMImplementation WebKitDOMDOMImplementation |

## Functions

gboolean | webkit_dom_dom_implementation_has_feature ()
WebKitDOMDocumentType * | webkit_dom_dom_implementation_create_document_type ()
WebKitDOMDocument * | webkit_dom_dom_implementation_create_document ()
WebKitDOMCSSStyleSheet * | webkit_dom_dom_implementation_create_css_style_sheet ()
WebKitDOMHTMLDocument * | webkit_dom_dom_implementation_create_html_document ()

## Types and Values

struct | WebKitDOMDOMImplementation

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMImplementation

## Description

## Functions

### webkit_dom_dom_implementation_has_feature ()

    gboolean
    webkit_dom_dom_implementation_has_feature
                                   (WebKitDOMDOMImplementation *self,
                                    const gchar *feature,
                                    const gchar *version);

`webkit_dom_dom_implementation_has_feature` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMImplementation |
feature | A gchar |
version | A gchar |

#### Returns

A gboolean

### webkit_dom_dom_implementation_create_document_type ()

    WebKitDOMDocumentType *
    webkit_dom_dom_implementation_create_document_type
                                   (WebKitDOMDOMImplementation *self,
                                    const gchar *qualifiedName,
                                    const gchar *publicId,
                                    const gchar *systemId,
                                    GError **error);

`webkit_dom_dom_implementation_create_document_type` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMImplementation |
qualifiedName | A gchar |
publicId | A gchar |
systemId | A gchar |
error | GError |

#### Returns

A WebKitDOMDocumentType.

[transfer none]

### webkit_dom_dom_implementation_create_document ()

    WebKitDOMDocument *
    webkit_dom_dom_implementation_create_document
                                   (WebKitDOMDOMImplementation *self,
                                    const gchar *namespaceURI,
                                    const gchar *qualifiedName,
                                    WebKitDOMDocumentType *doctype,
                                    GError **error);

`webkit_dom_dom_implementation_create_document` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMImplementation |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
doctype | A WebKitDOMDocumentType. | [allow-none]
error | GError |

#### Returns

A WebKitDOMDocument.

[transfer none]

### webkit_dom_dom_implementation_create_css_style_sheet ()

    WebKitDOMCSSStyleSheet *
    webkit_dom_dom_implementation_create_css_style_sheet
                                   (WebKitDOMDOMImplementation *self,
                                    const gchar *title,
                                    const gchar *media,
                                    GError **error);

`webkit_dom_dom_implementation_create_css_style_sheet` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMImplementation |
title | A gchar |
media | A gchar |
error | GError |

#### Returns

A WebKitDOMCSSStyleSheet.

[transfer full]

### webkit_dom_dom_implementation_create_html_document ()

    WebKitDOMHTMLDocument *
    webkit_dom_dom_implementation_create_html_document
                                   (WebKitDOMDOMImplementation *self,
                                    const gchar *title);

`webkit_dom_dom_implementation_create_html_document` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMDOMImplementation |
title | A gchar |

#### Returns

A WebKitDOMHTMLDocument.

[transfer none]

## Types and Values

### struct WebKitDOMDOMImplementation

    struct WebKitDOMDOMImplementation;